from abc import (
    ABCMeta,
    abstractmethod,
)


class MessageReceiver(object):
    __metaclass__ = ABCMeta

    @abstractmethod
    def receive_messages(self):
        raise NotImplementedError()

    @abstractmethod
    def stop(self):
        raise NotImplementedError()
